Bug 430886 - [mr_IN] In Samyak_Devanagari.ttf anchoring is not proper
[mr_IN] In Samyak_Devanagari.ttf anchoring is not proper
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samyak-fonts (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 07:54 EST by sandeep shedmake
Modified: 2008-03-06 00:47 EST (History)
1 user (show)

See Also:
Fixed In Version: samyak-fonts-devanagari-1.2.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 00:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is patch for Samyak_Devanagari.sfd (4.49 KB, patch)
2008-02-04 04:19 EST, Pravin Satpute
no flags Details | Diff
font with issue resolved (120.89 KB, application/octet-stream)
2008-02-04 04:21 EST, Pravin Satpute
no flags Details

  None (edit)
Description sandeep shedmake 2008-01-30 07:54:59 EST
Description of problem:


Version-Release number of selected component: 1.1


How reproducible: Very often


Steps to Reproduce:
1.Install Samyak_Devanagri.ttf at /usr/share/fonts/samyak/
2.Open Gedit and select Marathi keyboard layout
3.Type following key sequence: किंवा कु कू र्कि
  
Actual results:
किंवा कु कू र्कि (vowel signs/marks not attaching at proper position of the
consonants. Anchoring not proper)

Expected results:
किंवा कु कू र्कि  (marks attaches at the proper position -ie above base, below base,
prebase and postbase) 

Additional info:
Ligatures and lookup tables (especially --the post base one) needs to be modified.
Comment 1 Pravin Satpute 2008-01-31 00:57:16 EST
i have filed same bug in upstream sarovar
http://sarovar.org/tracker/index.php?func=detail&aid=910&group_id=461&atid=1930
working on that

sounds some problem with the gpos feature setting 
Comment 2 Pravin Satpute 2008-02-04 04:19:15 EST
Created attachment 293873 [details]
this is patch for Samyak_Devanagari.sfd 

this patch will modify properties of gpos features from latin to devanagari
and it will also add anchor point in glyph reph
Comment 3 Pravin Satpute 2008-02-04 04:21:37 EST
Created attachment 293874 [details]
font with issue resolved
Comment 4 Pravin Satpute 2008-02-04 04:23:30 EST
sloved the bug, problem was with gpos setting.
gpos rules were present in atin script, just moved them to devanagari script.
also added anchor point for reph glyph.

please test attached ttf 
Comment 5 Pravin Satpute 2008-03-06 00:47:47 EST
patch is upstream and bug is fixed in the latest upstream release of samyak-fonts
rpm version samyak-fonts-devanagari-1.2.0-1.fc9

Note You need to log in before you can comment on or make changes to this bug.